%define major 4
%define libname %mklibname dvdnav %{major}
%define develname %mklibname dvdnav -d

Name:		libdvdnav
Summary:	DVD Navigation library
Summary(de):	Die DVD-Navigations-Bibliothek
Version:	5.0.3
Release:	%mkrel 2
Group:		System/Libraries
License:	GPLv2+
URL:		http://www.mplayerhq.hu
Source0:	http://dvdnav.mplayerhq.hu/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
#-----------------------------------
BuildRequires: %{_lib}dvdread-devel
#-----------------------------------

%description
libdvdnav provides support to applications wishing to make use of advanced
DVD features.
#german
%description -l de
Dies ist die DVD-Navigations-Bibliothek, die eine Schnittstelle zu den 
erweiterten DVD-Eigenschaften wie Menüs, Navigation usw. bietet.

%package -n	%{libname}
Summary:	DVD Navigation library
Summary(de):	Die DVD-Navigations-Bibliothek
Group:		System/Libraries

%description -n	%{libname}
libdvdnav provides support to applications wishing to make use of advanced
DVD features.
#german
%description -n	%{libname} -l de
Dies ist die DVD-Navigations-Bibliothek, die eine Schnittstelle zu den 
erweiterten DVD-Eigenschaften wie Menüs, Navigation usw. bietet.

Dieses Paket enthält die libdvdnav-Laufzeit-Bibliothek.

%package -n	%{develname}
Summary:	DVD Navigation library headers and support files
Summary(de):	DVD Navigation, Header Bibliotheken und unterstützte Dateien
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname dvdnav 4 -d}

%description -n	%{develname}
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

This package contains the C headers and support files for compiling 
applications with libdvdnav.
#german
%description -n	%{develname} -l de
Libdvdnav bietet Unterstützung für Anwendungen die von den 
erweiterten DVD-Funktionen Gebrauch machen.

Dieses Paket enthält die C-Header und Unterstützungsdateien 
zum Kompilieren von Anwendungen mit libdvdnav.

%prep
%setup -q


%build
autoreconf -vfi
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
rm -f %{buildroot}%{_libdir}/libdvdnav.{la,a}
rm -rf %{buildroot}%{_datadir}/doc/${name}


%files -n %{libname}
%doc README
%{_libdir}/libdvdnav.so.%{major}*


%files -n %{develname}
%doc ChangeLog TODO AUTHORS COPYING
%{_libdir}/libdvdnav.so
%{_includedir}/dvdnav/
%{_libdir}/pkgconfig/dvdnav.pc


%clean
rm -rf %{buildroot}

%changelog
* Sun Jul 16 2017 bb2 <bb2> - 5.0.3-2pclos2017
- rebuild against updates

* Mon Mar 09 2015 bb <bb> 5.03-1pclos2015
- update

* Sun Jan 26 2014 bb <bb> 4.2.1-1pclos2014
- update

* Thu Oct 03 2013 billybot <billlybot> 4.2.0-2pclos2013
- rebuild new glibc
- add compt patch
- remove .la files
